XAMPP-PHP5 mit gettext-Option kann nicht compiliert werden

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

XAMPP-PHP5 mit gettext-Option kann nicht compiliert werden

Postby Knappe » 06. October 2007 14:23

Will php5 unter OpenSuSE 10.2 64-bit selbst uebersetzen und habe mir daher die aktuelle php-Version "php-5.2.4" von php.net runtergeladen.

Beim ./configure-osswald bekomme ich nun immer die Meldung
....

configure:43573: checking for bindtextdomain in -lintl
configure:43592: gcc -o conftest -march=opteron -O2 -pipe -I/network/public -I/opt/lampp/include/libpng -I/opt/lampp/include/ncurses -I/opt/lampp/include -L/opt/lampp/lib -Wl,-rpath,/opt/lampp/lib -L/opt/lampp/lib -L/opt/lampp/lib conftest.c -lintl -lfreetype -lpng -lz -ljpeg -lssl -lcrypto -lgdbm -lcurl -lbz2 -lz -lssl -lcrypto -lresolv -lm -ldl -lnsl -lxml2 -lm -lcurl -lssl -lcrypto -ldl -lz -lxml2 -lm 1>&5
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/libintl.so when searching for -lintl
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/libintl.a when searching for -lintl
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/libintl.so when searching for -lintl
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/libintl.a when searching for -lintl
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/libintl.so when searching for -lintl
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/libintl.a when searching for -lintl
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lintl
collect2: ld returned 1 exit status
configure: failed program was:
#line 43581 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char bindtextdomain();

int main() {
bindtextdomain()
; return 0; }

...


und der
Code: Select all
make

gibt natuerlich die Fehlermeldung aus
ext/gettext/.libs/gettext.o: In function `zif_gettext':
gettext.c:(.text+0xcc): undefined reference to `libintl_gettext'
ext/gettext/.libs/gettext.o: In function `zif_textdomain':
gettext.c:(.text+0x230): undefined reference to `libintl_textdomain'
ext/gettext/.libs/gettext.o: In function `zif_bind_textdomain_codeset':
gettext.c:(.text+0x3fb): undefined reference to `libintl_bind_textdomain_codeset'
ext/gettext/.libs/gettext.o: In function `zif_dcngettext':
gettext.c:(.text+0x792): undefined reference to `libintl_dcngettext'
ext/gettext/.libs/gettext.o: In function `zif_dngettext':
gettext.c:(.text+0xaa6): undefined reference to `libintl_dngettext'
ext/gettext/.libs/gettext.o: In function `zif_ngettext':
gettext.c:(.text+0xd1c): undefined reference to `libintl_ngettext'
ext/gettext/.libs/gettext.o: In function `zif_bindtextdomain':
gettext.c:(.text+0xf50): undefined reference to `libintl_bindtextdomain'
ext/gettext/.libs/gettext.o: In function `zif_dcgettext':
gettext.c:(.text+0x11cc): undefined reference to `libintl_dcgettext'
ext/gettext/.libs/gettext.o: In function `zif_dgettext':
gettext.c:(.text+0x1387): undefined reference to `libintl_dgettext'
collect2: ld returned 1 exit status
make: *** [sapi/cli/php] Fehler 1


Habe natuerlich
Code: Select all
gettext,
gettext-32-bit,
gettext-devel,
perl-gettext,
php5-gettext,
perl-libintl-perl,
ruby-gettext
installiert.
Aber das betroffene Modul
Code: Select all
libintl.so
finde ich nicht. :evil:

Es/sie ist/sind aber in den 32-bit-Sourcen enthalten :
myserver:/opt/lampp/lib # dir libintl*

-rw-r--r-- 1 root root 313076 10. Feb 2003 libintl.a
-rw-r--r-- 1 root root 709 10. Feb 2003 libintl.la
lrwxrwxrwx 1 root root 16 4. Okt 19:07 libintl.so -> libintl.so.2.2.0
lrwxrwxrwx 1 root root 16 4. Okt 19:07 libintl.so.2 -> libintl.so.2.2.0
-rw-r--r-- 1 root root 31252 4. Aug 07:43 libintl.so.2.2.0


Habe jetzt sogar die neueste Version von "gettext" (gettext-0.16-47.x86_64.rpm) installiert & (gettext-0.16.tar.gz) compiliert : keine Aenderung !


Irgendeine Idee, wo ich das "Teil" finden koennte ?
Knappe
 
Posts: 114
Joined: 18. November 2004 17:40

Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 6 guests